﻿using ProjectSellPC.Entites.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSellPC.Entites
{
    public class Client
    {
        public int Id { get; set; }
        [DisplayName("Имя")]
        public string Name { get; set; }
        [DisplayName("Номер телефона")]
        public string PhoneNumber { get; set; }
        [DisplayName("Вид клиента")]
        public ClientType ClientType { get; set; }

        public static Client CreateEntity(int id, string name, string phoneNumber, ClientType clientType)
        {
            return new Client
            {
                Id = id,
                Name = name,
                PhoneNumber = phoneNumber,
                ClientType = clientType
            };
        }

        public override string ToString()
        {
            return Name;
        }
    }
}
