﻿using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace ProjectSellPC.Entites
{
    public class ProductInCheque
    {
        public int ID { get; set; }
        [System.ComponentModel.Browsable(false)]
        public int ProductID { get; set; }
        [Browsable(false)]
        public int ChequeID { get; set; }
        [DisplayName("Количество")]
        public int Count { get; set; }
        // Временное свойство для отображения названия товара
        [Browsable(false)] // Скрываем свойство в DataGridView
        public string ProductName { get; set; }
        public static ProductInCheque CreateElement(int id, int count)
        {
            return new ProductInCheque { ProductID = id, Count = count };
        }
    }
}
