﻿using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSellPC.Entites
{
    public class ProductsOnWarehouse
    {
        [System.ComponentModel.Browsable(false)]
        public int Id { get; set; }
        [System.ComponentModel.Browsable(false)]
        public int ProductId { get; set; }
        [DisplayName("Товар")]
        public Product Product { get; set; }
        [System.ComponentModel.Browsable(false)]
        public int WarehouseId { get; set; }
        [DisplayName("Склад")]
        public Warehouse Warehouse { get; set; }
        [DisplayName("Количество")]
        public int Count { get; set; }

        public static ProductsOnWarehouse CreateEntity(int id, Product product, Warehouse Warehouse, int count)
        {
            return new ProductsOnWarehouse { Warehouse = Warehouse, Id = id, Product = product, Count = count };
        }
    }
}
